IF OBJECT_ID('EST_PARAM_COMPRAS_GRUPO_CURVA') IS NULL 
begin
CREATE TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA](
	[CD_GRUPO_CURVA] [int] IDENTITY(1,1) NOT NULL,
	[DS_GRUPO_CURVA] [varchar](100) NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
	[DT_ULT_ALT] [datetime] NULL,
 CONSTRAINT [PK_EST_PARAM_COMPRAS_GRUPO_CURVA] PRIMARY KEY CLUSTERED 
(
	[CD_GRUPO_CURVA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_GRUPO_CURVA_CURVA]  DEFAULT ('') FOR [DS_GRUPO_CURVA]

ALTER TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA] ADD  CONSTRAINT [DF_EST_PARAM_GRUPO_CURVA_CD_USU]  DEFAULT ((0)) FOR [CD_USU]

ALTER TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA] ADD  CONSTRAINT [DF_EST_PARAM_GRUPO_CURVA_DT_CAD]  DEFAULT (getdate()) FOR [DT_CAD]
end

